Method: accounts.contracts.commissionGroups.list

Lists the commission groups for a given contract.

HTTP request

GET https://merchantapi.googleapis.com/youtube/v1alpha/{parent=accounts/*/contracts/*}/commissionGroups

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The contract to list commission groups for. Format: accounts/{account}/contracts/{contract}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of commission groups to return. The service may return fewer than this value. If unspecified, at most 100 commission groups will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous commissionGroups.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to commissionGroups.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for the commissionGroups.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "commissionGroups": [
    {
      object (CommissionGroup)
    }
  ],
  "nextPageToken": string
}
Fields
commissionGroups[]

object (CommissionGroup)

The commission groups for the specified contract.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.